.body {
    width: "JS(width)";
    flex: 1;
    background-color: "JS(Color.main)";
}

.color {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: #fff;
}

.card {
    width: "JS(width)";
    flex-direction: row;
}

.box {
    width: "JS(vw * 40)";
    height: 100;
    background-color: #ccc;
    margin-left: 20;
    margin-top: 10;
    margin-bottom: 10;
}

.relatedPostText {
    margin-left: 8;
    margin-top: 12;
    font-size: 15;
    font-weight: 500;
    color: #333;
}

.cardView {
    border-radius: 2;
    overflow: hidden;
    background-color: #ccc;
}

.cardNews {
    margin: 8;
    margin-top: 4;

    shadow-color: #000;
    shadow-opacity: 0.2;
    shadow-radius: 2;
    shadow-offset: "JS({width: 0, height: 3})";

    height: "JS(width - 80)";

    border-radius: 2;
    elevation: 5;
}

.image {
    width: "JS(vw * 40)";
    height: 90;
    resize-mode: cover;
    margin-left: 8;
    margin-top: 20;
    margin-bottom: 10;
}

.content {
    width: "JS(vw * 50)";
    margin-left: 14;
    margin-top: 20;
    margin-bottom: 30;
}

.greyRow {
    background-color: #eee;
}

.menuView {
    background-color: "JS(Color.menuCategory)";
    height: 40;

    transform: "JS([{scaleX: Constants.RTL ? -1 : 1 }])";
}

.menuItemView {
    margin: 6;
    height: 28;
}

.menuItem {
    margin: 6;
    margin-left: 16;
    margin-right: 16;
    font-size: 12;
    font-weight: 500;
    color: "JS(Color.menuItem)";

    transform: "JS([{scaleX: Constants.RTL ? -1 : 1 }])";
}

.menuItemActive {
    background-color: #fff;
    border-radius: 16;
    border-width: 1;
    border-color: #eee;
}

.menuItemActive {
    background-color: "JS(Color.menuCategoryActive)";
    border-radius: 60;
    border-width: 1;
    border-color: "JS(Color.menuCategoryActiveBorder)";
}

.menuActiveText {
    color: "JS(Color.menuCategoryActiveText)";
}

.placeHolderImage {
    align-items: center;
    width: "JS(width)";
    height: "JS(width/3)";
    justify-content: center;
    background-color: rgba(67, 130, 208, 0.2);
}

.backgroundOne {
    background-color: rgba(58, 75, 133, 0.6);
}

.backgroundTwo {
    background-color: rgba(188, 59, 36, 0.6);
}

.backgroundThree {
    background-color: rgba(57, 174, 84, 0.6);
}

.bannerText {
    position: absolute;
    bottom: 0;
    background-color: rgba(0, 0, 0, 0.6);
    width: "JS(vw * 100)";

    align-items: "JS(Constants.RTL ? 'flex-end' : 'flex-start')";
}

.bannerTitle {
    margin: 12;
    margin-bottom: 2;
    color: white;
    font-size: 15;
}

.bannerDate {
    color: rgba(255, 255, 255, 0.7);
    font-size: 9;
    font-weight: 500;
    margin-left: 12;
    margin-right: 12;
    margin-bottom: 16;
}

.time {
    color: #787878;
    font-size: 8;
    margin-top: 0;
    margin-bottom: 0;
}

.tagView {
    flex-direction: row;
    align-items: flex-start;
    justify-content: flex-start;
    margin-bottom: 6;
}

.tag {
    background-color: #aaa;
    border-radius: 12;
    align-self: flex-start;
    margin-right: 4;
}

.tagText {
    font-size: 9;
    margin: 1;
    margin-left: 8;
    margin-right: 8;
    color: white;
    font-weight: 600;
}

.hlist {
    background-color: white;
    padding: 0px;
}

.color {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: #EBEBEB;
}

.title {
    color: #333;
    font-size: 22;
    text-align: center;
    font-weight: 200;
    margin-top: 12;
}

.titleSmall {
    font-size: 13;
    color: #999;
    text-align: center;
    margin-bottom: 10;
    margin-top: 4;
}

.productItem {
    width: "JS(width-30)";
    height: "JS( (width-20)*962/875)";
    margin: 5;
}

.detailBlock {
    align-items: center;
    background-color: rgba(255, 255, 255, 0.5);
    padding: 20px;
}

.detailDesc {
    color: #535353;
    font-weight: 300;
    font-size: 13;
    padding-top: 10px;
    text-align: center;
}

.largeImage {
    width: "JS(width - 16)";
    height: "JS(width - 120)";
    resize-mode: cover;
}

.largeContent {
    width: "JS(width)";
    position: absolute;
    bottom: 0;
    height: 100;

}

.largeTitle {
    color: #fff;
    font-size: 18;
    padding: 20;
    padding-bottom: 0;
}

.time {
    color: #999;
    font-size: 12;
    margin-left: 0;
}

.author {
    color: #999;
    font-size: 13;
    font-weight: 600;
    margin-top: 12;
    margin: 12;
    margin-left: 20;
}

.description {
    background-color: #eee;
    flex-direction: row;
}

.title {
    color: #333;
    font-size: 22;
    text-align: center;
    font-weight: 200;
    margin-top: 12;
}

.titleSmall {
    font-size: 13;
    color: #999;
    text-align: center;
    margin-bottom: 10;
    margin-top: 4;
}

.productItem {
    width: "JS(width-10)";
    height: "JS((width-20) * 800/875)";
    margin: 5;
}

.detailPanel {
    height: "JS((width-20) * 800/875)";
    flex: 1;
    align-items: center;
    justify-content: flex-end;
}

.detailBlock {
    width: "JS(width)";
    align-items: center;
    background-color: #fff;
    padding: 20px;
}

.detailDesc {
    color: #fff;
    font-weight: 600;
    font-size: 18;
    padding-top: 10px;
    text-align: center;
}

.html {
    margin-left: 12;
    margin-right: 12;
}

.toolbar {
    background-color: black;
}

.shareIcon {
    flex-direction: row;
    position: absolute;
    right: 14;
    bottom: 2;
}

.iconText {
    margin-left: -6;
    font-size: 13;
    font-weight: 500;
}

.linearGradient {
    height: 120;
    margin-top: -120;
    justify-content: flex-end;
}

.newsTitle {
    font-size: 18;
    margin: 20;
    color: white;
    font-weight: 400;
    text-align: left;
    background-color: transparent;
}

.avatar {
    width: 32;
    height: 32;
    border-radius: 20;
    resize-mode: cover;
    margin: 12;
}

.featureListView {
    flex-direction: "JS(Constants.RTL ? 'row-reverse' : 'row')";
}

.listView {
    width: "JS(width)";
    justify-content: flex-start;
    flex-direction: row;
    flex-wrap: wrap;
    margin-top: 8;
    padding-bottom: 20;
}

.smCardNews {
    margin: 4;
    margin-left: 8;
    margin-right: 0;
    width: "JS(width/2 - 12)";
    shadow-color: #000;

    shadow-opacity: 0.25;
    shadow-radius: 4;
    shadow-offset: "JS({width: 0, height: 2})";

    border-radius: 3;
    elevation: 5;

    flex-direction: column;
    position: relative;

    height: "JS((vh * 30) + 132)";
}

.smImage {
    width: "JS(width/2)";
    height: "JS(vh * 30)";
    resize-mode: cover;
}

.smTitle {
    margin: 12;
    font-size: 15;
}

.smAuthor {
    color: #999;
    font-size: 12;
    font-weight: 300;
    margin-top: 0;
    margin-left: 12;
    margin-bottom: 8;
    position: absolute;
    bottom: 12;
}

.smDescription {
    background-color: white;
    height: 100;
}

.smShareIcons {
    flex-direction: row;
    background-color: #F7F7F7;
    padding-left: 4;
    bottom: 0;
    padding-top: 5;
}

.panelOne {
    background-color: #eee;
    margin-bottom: 12;
}

.imagePanelOne {
    margin-top: 12;
    margin-left: 8;
    align-items: center;
    justify-content: center;
    position: relative;
    width: "JS((width)-50)";
    height: "JS((width/2))";
}

.nameOne {
    font-size: 13;
    width: "JS((width)-50)";
    margin-left: 8;
    margin-right: 8;
    margin-top: 6;
}

.timeOne {
    margin-left: 8;
    margin-right: 8;
    color: #999;
    font-size: 10;
    margin-bottom: 10;
    margin-top: 4;
    margin-right: 8;
}

.panelTwo {
    position: relative;
}

.imagePanelTwo {
    margin-top: 12;
    align-items: center;
    justify-content: center;
    position: relative;
    width: "JS((width/2 - 15))";
    height: "JS((width/3))";
    margin-right: 5;
    margin-left: 5;
}

.nameTwo {
    font-size: 13;
    width: "JS((width/2 - 20))";
    margin-left: 5;
    margin-top: 6;
}

.timeTwo {
    margin-left: 8;
    margin-right: 8;
    color: #999;
    font-size: 10;
    margin-top: 4;
}

.panel {
    position: relative;
    background-color: #eee;
    padding-left: 8;
    padding-top: 8;
    height: "JS((width/3) + 120)";
}

.imagePanel {
    width: "JS((width/3)-10)";
    height: "JS((width/3))";
    margin-right: 8;
    align-items: center;
    justify-content: center;
    position: relative;
}

.name {
    font-size: 13;
    width: "JS((width/3)-10)";
    margin-left: 4;
    margin-top: 6;
}

.time {
    margin-left: 4;
    color: #999;
    font-size: 10;
    margin-bottom: 8;
    margin-top: 4;
    margin-right: 4;
}

.dot {
    background-color: rgba(0, 0, 0, .1);
    width: 8;
    height: 8;
    border-radius: 4;
    margin-left: 4;
    margin-right: 4;
}

.dotActive {
    background-color: rgba(0, 0, 0, .4);
    width: 8;
    height: 8;
    border-radius: 4;
    margin-left: 4;
    margin-right: 4;
}

.banner {
    height: "JS(width * 2 / 3)";
    width: "JS(width)";
    background-color: #ccc;
}

.bannerImage {
    width: "JS(width)";
    height: "JS(width * 2 / 3)";
}

.bannerView {
    width: "JS(width)";
    height: "JS(width * 2 / 3)";
}

.panelList {
    background-color: #fff;
    border-color: #eee;
    border-bottom-width: 1;
    flex-direction: "JS(Constants.RTL ? 'row-reverse' : 'row')";
}

.titleList {
    width: "JS(vw * 65)";
}

.imageList {
    margin-top: 12;
    margin-left: 8;
    margin-right: 8;
    margin-bottom: 8;

    align-items: center;
    justify-content: center;
    position: relative;
    width: "JS(vw * 30)";
    height: "JS(vw * 30 - 20)";
    resize-mode: cover;

    border-radius: 2;
}

.nameList {
    font-size: 14;
    margin-left: 4;
    margin-top: 12;
    margin-right: 8;
    color: #333;
    font-weight: 400;
}

.descriptionList {
    font-size: 12;
    margin-left: 4;
    margin-top: 4;
    margin-right: 8;
    color: #333;
    font-weight: 300;
}

.timeList {
    margin-left: 4;
    margin-right: 4;
    color: #999;
    font-size: 11;
    margin-bottom: 10;
    margin-top: 6;
    background-color: transparent;
}

.category {
    font-size: 11;
    margin-top: 6;
    color: #999;
}

.toolbar {
    height: 50;
    width: "JS(width)";
    background-color: "JS(Color.toolbar)";
    flex-direction: row;
    justify-content: space-between;
    padding-left: 15;
    padding-top: 13;
    padding-right: 15;

    position: relative;

    transform: "JS([{scaleX: Constants.RTL ? -1 : 1 }])";
}

.wrapperScroll {
    flex-direction: row;
    flex-wrap: wrap;
    align-items: stretch;
}